#!/usr/bin/ruby

def dependencies(depends)
	parse(depends.split(/ *, */))
end

def parse(args)
	args.collect do |p|
		case p
			when /(.*\|.*)/
				parse($1.split(/ *\| */))
			when /^(\w+)$/
				{ $1 => nil }
			when /^(\w+) ?\((.*)\)$/
				{ $1 => $2 }
		end
	end
end

deps = "foo, foo2 (=0.3), foo3 (>=0.5), foo4 (=1.0) | foo5 (<1.2), foo6"
#will output : [{"foo"=>nil}, {"foo2"=>"=0.3"}, {"foo3"=>">=0.5"}, [{"foo4"=>"=1.0"}, {"foo5"=>"<1.2"}], {"foo6"=>nil}]
puts dependencies(deps).inspect
